[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#647473: question about your patch



Hi Dave,

diff -ur sgml-data-2.0.6.orig/debian/postrm sgml-data-2.0.7/debian/postrm
--- sgml-data-2.0.6.orig/debian/postrm	2011-11-02 22:14:48.124000413 -0400
+++ sgml-data-2.0.7/debian/postrm	2011-11-02 22:16:27.312000538 -0400
@@ -4,8 +4,14 @@
 
 if [ "$1" = "purge" ]
 then
-    rmdir -p --ignore-fail-on-non-empty /etc/sgml
-    rmdir -p --ignore-fail-on-non-empty /etc/xml
+    rmdir -p --ignore-fail-on-non-empty /etc/sgml || :
+    rmdir -p --ignore-fail-on-non-empty /etc/xml || :
+fi
+
+if [ "$1" = "remove" ]
+then
+    rm -f /etc/xml/sgml-data.xml* || :
+    rm -f /etc/sgml/sgml-data* || :
 fi


This patch seems to remove configuration files unconditionally on "remove". 
This seems wrong to me. Can you explain?


cheers,
	Holger



Reply to: